Package com.google.android.exoplayer2.video

## Interface VideoDecoderOutputBufferRenderer

- All Known Implementing Classes:
    `VideoDecoderGLSurfaceView`

      public interface VideoDecoderOutputBufferRenderer

  Renders the `VideoDecoderOutputBuffer`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setOutputBuffer​(VideoDecoderOutputBuffer outputBuffer)` | Sets the output buffer to be rendered.

- - ### Method Detail

    - #### setOutputBuffer

          void setOutputBuffer​(VideoDecoderOutputBuffer outputBuffer)

      Sets the output buffer to be rendered. The renderer is responsible for releasing the buffer.
      Parameters:
        `outputBuffer` - The output buffer to be rendered.